Admin - List all user keys
GET/admin/list-all-user-keys
This API endpoint requires an API Key with at least one of the following Roles: SystemAdmin | ResourceViewer
List all the user's key shares.
Request
Query Parameters
Header Parameters
The AUTHORIZATION header must be set to the API Key of the user. The API Key is returned when a new user is created using the /admin/create-user endpoint.
Responses
- 200
- 400
- 401
- 404
- 500
- application/json
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
keys
object[]
required
Represents the various types of cryptographic keys supported in the system.
Possible values: [NotInititalizedYet, Ecdsa, Ed25519, ExportableEd25519, BIP340, Sr25519, HmacSha256]
key_users
object[]
required
Specifies the permission levels for key usage within the system.
Possible values: [use, admin]
{
"keys": [
{
"key_id": "string",
"key_type": "NotInititalizedYet",
"key_users": [
{
"usage_permission": "use",
"user_id": "string"
}
]
}
],
"user_id": "string"
}
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [already_performed_keygen, api_key_not_found, bad_n_and_t_params, bad_request_params, batch_too_large, cant_delete_boot_admin, cluster_already_exists, cluster_not_found, executor_result, invalid_domain, key_not_found, key_operation_before_keygen, policy_already_exists, policy_in_use_by_keys, policy_in_use_by_users, policy_not_found, policy_validation_failed, room_creation_problem, rule_already_exists, rule_in_use, rule_not_found, rule_not_in_policy, server_share_backup_setting_disabled, server_share_backup_setting_incompatible, user_already_exists, user_has_associated_keys, user_not_found, vertex_already_exists, vertex_not_found]
{
"err_msg": "string",
"err_type": "already_performed_keygen"
}
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [access_denied, bad_key_permission]
{
"err_msg": "string",
"err_type": "access_denied"
}
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [not_found]
{
"err_msg": "string",
"err_type": "not_found"
}
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [internal_problem]
{
"err_msg": "string",
"err_type": "internal_problem"
}